> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mottostreaming.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List projects

> ListProjects

 Return list of projects that the authenticated account has access to.



## OpenAPI

````yaml get /iam/projects/v1
openapi: 3.0.3
info:
  title: Studio API - Motto
  version: 0.0.0
servers:
  - url: https://api.mottostreaming.com
    description: Production server
security:
  - BearerAuth: []
tags:
  - name: AccountService
    description: Account management service
  - name: ActionConfigurationService
    description: Action configuration service definition
  - name: ActionSecretService
    description: Action type service definition
  - name: ActionService
    description: Action service definition
  - name: ActionTypeService
    description: Action type service definition
  - name: ActivityService
    description: Activity service definition
  - name: AdService
    description: Ad management service.
  - name: AnnotationService
    description: Annotation service definition
  - name: AnnotationSetService
    description: Annotation service definition
  - name: AnnotationTypeService
    description: Annotation service definition
  - name: AssetService
    description: Asset management service.
  - name: AuthService
    description: Auth service definition
  - name: BannerService
    description: Banner service definition
  - name: BannerV2Service_v2
    description: Banner service definition
  - name: CleengService
    description: CleengService service definition
  - name: ClipService
    description: ClipService is the service that handles Clip operations.
  - name: ConfigurationService
    description: >-
      Configuration management service. These configurations allow modifying the
      behavior of streams, uploads, simulcasts, etc.
  - name: ContentTypeService
    description: ContentType service definition
  - name: CreativeWorkService
    description: CreativeWork service definition
  - name: EntitlementService
    description: Entitlement service definition
  - name: EntityService
    description: Entity service definition
  - name: EventService
    description: Event service definition
  - name: FileService
    description: OTT files management.
  - name: IngestService
    description: Ingest management service.
  - name: IngestService_v2
    description: Ingest management service.
  - name: LiveStreamService
    description: LiveStream management service.
  - name: LiveStreamService_v2
    description: LiveStream management service.
  - name: OfferService
    description: Offer service definition
  - name: OrganizationService
    description: Organization management service.
  - name: PageService
    description: Page service definition
  - name: PlatformService
    description: Platform service definition
  - name: PlaylistService
    description: Playlist management service.
  - name: ProjectService
    description: Project management service.
  - name: SimulcastService
    description: Simulcast management service.
  - name: SlugService
    description: Slug service definition
  - name: SpiideoService
    description: SpiideoService service definition
  - name: StandingService
    description: Standing service definition
  - name: StitcherService
    description: StitcherService is the service that handles stitching operations.
  - name: StripeService
    description: StripeService service definition
  - name: SubscriptionService
    description: Subscription service definition
  - name: SubtitleService
    description: SubtitleService is the service that handles Subtitle operations.
  - name: TransactionService
    description: Transaction service definition
  - name: UploadService
    description: Upload management service.
  - name: UsageService
    description: The UsageService provides methods to retrieve usage data for SKUs.
  - name: UserService
    description: User management service
  - name: VODService
    description: VODService is the service that handles VOD operations.
  - name: VODService_v2
    description: VODService is the service that handles VOD operations.
  - name: VideoProtectionService
    description: VideoProtection management service.
  - name: VideoProtectionService_v2
    description: VideoProtection management service.
  - name: VideoService
    description: Video management service.
paths:
  /iam/projects/v1:
    get:
      tags:
        - ProjectService
      description: |-
        ListProjects

         Return list of projects that the authenticated account has access to.
      operationId: ProjectService_ListProjects
      parameters:
        - name: page_size
          in: query
          description: Maximum number of records to return
          schema:
            type: integer
            format: int32
        - name: page_token
          in: query
          description: >-
            If this field is not empty then it must contain the
            `next_page_token` value
             returned by a previous call to this method.  Using this field causes the
             method to return additional results from the previous method call.
          schema:
            type: string
        - name: filter
          in: query
          description: |-
            You can filter list of projects by org_id.
             Example: `org_id:motto`
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/motto.iam.project.v1.ListProjectsResponse'
        default:
          description: Default error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/google.rpc.Status'
components:
  schemas:
    motto.iam.project.v1.ListProjectsResponse:
      type: object
      properties:
        projects:
          type: array
          items:
            $ref: '#/components/schemas/motto.iam.project.v1.Project'
        next_page_token:
          type: string
          description: >-
            If there are more results than have been returned, then this field
            is set
             to a non-empty value.  To see the additional results,
             use that value as `page_token` in the next call to this method.
    google.rpc.Status:
      type: object
      properties:
        code:
          type: integer
          description: >-
            The status code, which should be an enum value of
            [google.rpc.Code][google.rpc.Code].
          format: int32
        message:
          type: string
          description: >-
            A developer-facing error message, which should be in English. Any
            user-facing error message should be localized and sent in the
            [google.rpc.Status.details][google.rpc.Status.details] field, or
            localized by the client.
        details:
          type: array
          items:
            $ref: '#/components/schemas/google.protobuf.Any'
          description: >-
            A list of messages that carry the error details.  There is a common
            set of message types for APIs to use.
      description: >-
        The `Status` type defines a logical error model that is suitable for
        different programming environments, including REST APIs and RPC APIs. It
        is used by [gRPC](https://github.com/grpc). Each `Status` message
        contains three pieces of data: error code, error message, and error
        details. You can find out more about this error model and how to work
        with it in the [API Design
        Guide](https://cloud.google.com/apis/design/errors).
    motto.iam.project.v1.Project:
      required:
        - id
        - org_id
      type: object
      properties:
        id:
          type: string
          description: >-
            Human readable, URL-compatible short identifier, like "motto" or
            "rtt-show".
             Must be unique.
        org_id:
          type: string
          description: Organization ID this project belongs to.
        name:
          type: string
          description: Name of the project, e.g. "Motto".
        disabled:
          readOnly: true
          type: boolean
          description: >-
            Is the project disabled? If true, it will not be returned in any
            list requests.
        content_delivery_settings:
          $ref: >-
            #/components/schemas/motto.iam.project.v1.Project_ContentDeliverySettings
        preferred_regions:
          type: array
          items:
            enum:
              - REGION_UNSPECIFIED
              - REGION_AF
              - REGION_AS
              - REGION_EU
              - REGION_NA
              - REGION_OC
              - REGION_SA
            type: string
            format: enum
          description: >-
            The region(s) that this project prefers to operate in. This is used
            to help the Studio frontend make decisions on
             how to create and display region-based resources.
    google.protobuf.Any:
      type: object
      properties:
        '@type':
          type: string
          description: The type of the serialized message.
      additionalProperties: true
      description: >-
        Contains an arbitrary serialized message along with a @type that
        describes the type of the serialized message.
    motto.iam.project.v1.Project_ContentDeliverySettings:
      type: object
      properties:
        public_keys:
          type: array
          items:
            type: string
          description: >-
            Keys that can be used from clients to retrieve information from
            public endpoints (e.g. list events).
             They are supposed to be stable and public because some of them would be compiled into clients.
        embed_domains:
          type: array
          items:
            type: string
          description: List of allowed domains for the web embed.
        content_visibility:
          enum:
            - VISIBILITY_UNSPECIFIED
            - VISIBILITY_PUBLISHED
            - VISIBILITY_UNLISTED
            - VISIBILITY_HIDDEN
          type: string
          description: |-
            Content visibility settings.
             It overrides content visibility settings of content within this project.
             For example, if event is published, but project is hidden, the event will be available only through direct link.
          format: enum
      description: Settings relevant for the content delivery API
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````